--- old/usr/src/cmd/hwdata/pci.ids	Tue Oct 18 16:50:06 2016
+++ new/usr/src/cmd/hwdata/pci.ids	Tue Oct 18 16:50:06 2016
@@ -24120,6 +24738,7 @@
 	27c5  82801GBM/GHM (ICH7-M Family) SATA Controller [AHCI mode]
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a3  Compaq nw8440
+		103c 30d5  530 Laptop
 		17aa 200d  ThinkPad R60/T60/X60 series
 	27c6  82801GHM (ICH7-M DH) SATA Controller [RAID mode]
 	27c8  NM10/ICH7 Family USB UHCI Controller #1
@@ -24129,9 +24748,11 @@
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
+		103c 30d5  530 Laptop
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
 		105b 0d7c  D270S/D250S Motherboard
@@ -24152,6 +24773,7 @@
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
@@ -24175,6 +24797,7 @@
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
@@ -24196,6 +24819,7 @@
 		1028 01d7  XPS M1210
 		1028 01df  PowerEdge SC440
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
@@ -24218,9 +24842,11 @@
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
+		103c 30d5  530 Laptop
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM,P5LD2-VM Mainboard
 		105b 0d7c  D270S/D250S Motherboard
@@ -24241,6 +24867,7 @@
 		1458 5001  GA-D525TUD
 		1462 7418  Wind PC MS-7418
 		1775 11cc  CC11/CL11
+		17aa 2011  ThinkPad R60e
 		8086 544b  Desktop Board D425KT
 	27d2  NM10/ICH7 Family PCI Express Port 2
 		103c 309f  Compaq nx9420 Notebook
@@ -24249,6 +24876,7 @@
 		144d c072  Notebook N150P
 		1462 7418  Wind PC MS-7418
 		1775 11cc  CC11/CL11
+		17aa 2011  ThinkPad R60e
 		8086 544b  Desktop Board D425KT
 	27d4  NM10/ICH7 Family PCI Express Port 3
 		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
@@ -24255,6 +24883,7 @@
 		144d c072  Notebook N150P
 		1462 7418  Wind PC MS-7418
 		1775 11cc  CC11/CL11
+		17aa 2011  ThinkPad R60e
 		8086 544b  Desktop Board D425KT
 	27d6  NM10/ICH7 Family PCI Express Port 4
 		103c 30a3  Compaq nw8440
@@ -24262,14 +24891,17 @@
 		144d c072  Notebook N150P
 		1462 7418  Wind PC MS-7418
 		1775 11cc  CC11/CL11
+		17aa 2011  ThinkPad R60e
 		8086 544b  Desktop Board D425KT
 	27d8  NM10/ICH7 Family High Definition Audio Controller
 		1025 006c  9814 WKMI
 		1028 01d7  XPS M1210
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
+		103c 30d5  530 Laptop
 		1043 1123  A6J-Q008
 		1043 13c4  Asus G2P
 		1043 817f  P5LD2-VM Mainboard (Realtek ALC 882 codec)
@@ -24301,6 +24933,7 @@
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		1043 8179  P5KPL-VM Motherboard
 		105b 0d7c  D270S/D250S Motherboard
 		1071 8209  Medion MIM 2240 Notebook PC [MD98100]
@@ -24326,9 +24959,11 @@
 		1028 01df  PowerEdge SC440
 		1028 01e6  PowerEdge 860
 		103c 2a3b  Pavilion A1512X
+		103c 2a8c  Compaq 500B Microtower
 		103c 309f  Compaq nx9420 Notebook
 		103c 30a1  NC2400
 		103c 30a3  Compaq nw8440
+		103c 30d5  530 Laptop
 		1043 1237  A6J-Q008
 		1043 8179  P5KPL-VM Motherboard
 		107b 5048  E4500
@@ -24373,6 +25008,12 @@
 		1028 01da  OptiPlex 745
 		1462 7235  P965 Neo MS-7235 mainboard
 	2826  C600/X79 series chipset SATA RAID Controller
+		1d49 0100  ThinkSystem RAID 331
+		1d49 0101  ThinkSystem RAID 331
+		1d49 0102  ThinkSystem RAID 331
+		1d49 0103  ThinkSystem RAID 331
+		1d49 0104  ThinkSystem RAID 331
+		1d49 0105  ThinkSystem RAID 331
 	2827  C610/X99 series chipset sSATA Controller [RAID mode]
 	2828  82801HM/HEM (ICH8M/ICH8M-E) SATA Controller [IDE mode]
 		1028 01f3  Inspiron 1420
@@ -25130,8 +25771,10 @@
 	2e27  4 Series Chipset Serial KT Controller
 	2e29  4 Series Chipset PCI Express Root Port
 	2e30  4 Series Chipset DRAM Controller
+		103c 2a8c  Compaq 500B Microtower
 	2e31  4 Series Chipset PCI Express Root Port
 	2e32  4 Series Chipset Integrated Graphics Controller
+		103c 2a8c  Compaq 500B Microtower
 	2e33  4 Series Chipset Integrated Graphics Controller
 	2e34  4 Series Chipset HECI Controller
 	2e35  4 Series Chipset HECI Controller
@@ -25611,6 +26254,7 @@
 	373f  Xeon C5500/C3500 IOxAPIC
 	37cd  X722 Virtual Function
 	37ce  Ethernet Connection X722 for 10GbE backplane
+		1590 0215  Ethernet 10Gb 2-port 568i Adapter
 	37cf  Ethernet Connection X722 for 10GbE QSFP+
 	37d0  Ethernet Connection X722 for 10GbE SFP+
 	37d1  Ethernet Connection X722 for 1GbE
@@ -25617,6 +26261,7 @@
 	37d2  Ethernet Connection X722 for 10GBASE-T
 	37d3  Ethernet Connection X722 for 10GbE SFP+
 	37d4  Ethernet Connection X722 for 10GbE QSFP+
+	37d9  X722 Hyper-V Virtual Function
 	3a00  82801JD/DO (ICH10 Family) 4-port SATA IDE Controller
 	3a02  82801JD/DO (ICH10 Family) SATA AHCI Controller
 	3a05  82801JD/DO (ICH10 Family) SATA RAID Controller
@@ -26032,6 +26677,7 @@
 		1351 103c  Compaq NC6220
 	4224  PRO/Wireless 2915ABG [Calexico2] Network Connection
 	4227  PRO/Wireless 3945ABG [Golan] Network Connection
+		8086 1010  ThinkPad R60e
 		8086 1011  ThinkPad T60/R60e/X60s
 		8086 1014  PRO/Wireless 3945BG Network Connection
 	4229  PRO/Wireless 4965 AG or AGN [Kedron] Network Connection
@@ -26150,7 +26796,41 @@
 	530d  80310 (IOP) IO Processor
 	5845  QEMU NVM Express Controller
 		1af4 1100  QEMU Virtual Machine
-	5ad4  Broxton SMBus Controller
+	5a84  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Integrated Graphics Controller
+	5a88  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Imaging Unit
+	5a98  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Audio Cluster
+	5a9a  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Trusted Execution Engine
+	5aa2  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Integrated Sensor Hub
+	5aa8  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series USB xHCI
+	5aac  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #1
+	5aae  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #2
+	5ab0  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #3
+	5ab2  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #4
+	5ab4  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #5
+	5ab6  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #6
+	5ab8  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #7
+	5aba  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series I2C Controller #8
+	5abc  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series HSUART Controller #1
+	5abe  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series HSUART Controller #2
+	5ac0  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series HSUART Controller #3
+	5ac2  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SPI Controller #1
+	5ac4  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SPI Controller #2
+	5ac6  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SPI Controller #3
+	5ac8  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PWM Pin Controller
+	5aca  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SDXC/MMC Host Controller
+	5acc  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series eMMC Controller
+	5ad0  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SDIO Controller
+	5ad4  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SMBus Controller
+	5ad6  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PCI Express Port B #1
+	5ad7  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PCI Express Port B #2
+	5ad8  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PCI Express Port A #1
+	5ad9  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PCI Express Port A #2
+	5ada  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PCI Express Port A #3
+	5adb  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series PCI Express Port A #4
+	5ae3  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series SATA AHCI Controller
+	5ae8  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Low Pin Count Interface
+	5aee  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series HSUART Controller #4
+	5af0  Atom/Celeron/Pentium Processor N4200/N3350/E3900 Series Host Bridge
 	65c0  5100 Chipset Memory Controller Hub
 	65e2  5100 Chipset PCI Express x4 Port 2
 	65e3  5100 Chipset PCI Express x4 Port 3
@@ -26790,10 +27470,22 @@
 	9ce5  Wildcat Point-LP Serial IO GSPI Controller #0
 	9ce6  Wildcat Point-LP Serial IO GSPI Controller #1
 	9d03  Sunrise Point-LP SATA Controller [AHCI mode]
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
 	9d14  Sunrise Point-LP PCI Express Root Port #5
+		17aa 382a  B51-80 Laptop
 	9d15  Sunrise Point-LP PCI Express Root Port #6
+		17aa 382a  B51-80 Laptop
+	9d16  Sunrise Point-LP PCI Express Root Port #7
+	9d17  Sunrise Point-LP PCI Express Root Port #8
+	9d18  Sunrise Point-LP PCI Express Root Port #9
+		17aa 382a  B51-80 Laptop
 	9d21  Sunrise Point-LP PMC
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
 	9d23  Sunrise Point-LP SMBus
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
 	9d27  Sunrise Point-LP Serial IO UART Controller #0
 	9d28  Sunrise Point-LP Serial IO UART Controller #1
 	9d29  Sunrise Point-LP Serial IO SPI Controller #0
@@ -26800,10 +27492,20 @@
 	9d2a  Sunrise Point-LP Serial IO SPI Controller #1
 	9d2d  Sunrise Point-LP Secure Digital IO Controller
 	9d2f  Sunrise Point-LP USB 3.0 xHCI Controller
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
 	9d31  Sunrise Point-LP Thermal subsystem
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
 	9d3a  Sunrise Point-LP CSME HECI #1
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
+	9d43  Sunrise Point-LP LPC Controller
+		17aa 382a  B51-80 Laptop
 	9d48  Sunrise Point-LP LPC Controller
+		1028 06f3  Latitude 3570
 	9d60  Sunrise Point-LP Serial IO I2C Controller #0
+		1028 06f3  Latitude 3570
 		8086 9d60  100 Series PCH/Sunrise Point PCH I2C0 [Skylake/Kaby Lake LPSS I2C]
 	9d61  Sunrise Point-LP Serial IO I2C Controller #1
 	9d62  Sunrise Point-LP Serial IO I2C Controller #2
@@ -26812,6 +27514,8 @@
 	9d65  Sunrise Point-LP Serial IO I2C Controller #5
 	9d66  Sunrise Point-LP Serial IO UART Controller #2
 	9d70  Sunrise Point-LP HD Audio
+		1028 06f3  Latitude 3570
+		17aa 382a  B51-80 Laptop
 	a000  Atom Processor D4xx/D5xx/N4xx/N5xx DMI Bridge
 		1458 5000  GA-D525TUD
 		8086 4f4d  DeskTop Board D510MO
@@ -27002,7 +27706,8 @@
 8384  SigmaTel
 8401  TRENDware International Inc.
 8686  ScaleMP
-	1010  vSMPowered system controller [vSMP CTL]
+	1010  vSMP Foundation controller [vSMP CTL]
+	1011  vSMP Foundation MEX/FLX controller [vSMP CTL]
 8800  Trigem Computer Inc.
 	2008  Video assistant component
 8866  T-Square Design Inc.
@@ -27511,6 +28216,7 @@
 	a13d  DeckLink 4K Pro
 	a13e  UltraStudio 4K Extreme
 	a13f  DeckLink Quad 2
+	a140  DeckLink Duo 2
 c001  TSI Telsys
 c0a9  Micron/Crucial Technology
 c0de  Motorola
